package com.liquidnet.service.dragon.service;

import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.dragon.dto.DragonPayBaseReqDto;
import com.liquidnet.service.dragon.dto.DragonPayBaseRespDto;
import com.liquidnet.service.dragon.dto.DragonPayOrderQueryRespDto;

import javax.servlet.http.HttpServletRequest;

public interface IDragonOrdersService {
    ResponseDto<DragonPayBaseRespDto> dragonPay(DragonPayBaseReqDto dragonPayBaseReqDto);

    void dragonNotify(HttpServletRequest request,String payType,String deviceFrom);

    DragonPayOrderQueryRespDto checkOrderStatusByCode(String code);

    DragonPayOrderQueryRespDto checkOrderStatusByOrderCode(String orderCode);
}
